CommonDBExtractor
Date: 2012-07-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.graphtools.data.databases
Class CommonDBExtractor

    java.lang.Object
      org.gcube.contentmanagement.graphtools.data.databases.CommonDBExtractor

All Implemented Interfaces:
  GenericDBExtractor

    public class CommonDBExtractor

extends java.lang.Object
implements GenericDBExtractor

Constructor Summary
`CommonDBExtractor(SessionFactory DbSession)`

Method Summary
`SamplesTable` | `getMonoDimTable(java.lang.String table, java.lang.String column)`
`java.util.Map<java.lang.String,SamplesTable>` | `getMultiDimTemporalTables(java.util.List<Filter> filters, Filter YRangeFilter, java.lang.String table, java.lang.String xDimension, java.lang.String groupDimension, java.lang.String yValue, java.lang.String speciesColumn, java.lang.String... yFilters)`
`java.util.Map<java.lang.String,SamplesTable>` | `getMultiDimTemporalTables(java.lang.String table, java.lang.String xDimension, java.lang.String groupDimension, java.lang.String yValue, java.lang.String speciesColumn, java.lang.String... yFilters)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonDBExtractor

    public CommonDBExtractor(SessionFactory DbSession)

Method Detail

### getMonoDimTable

    public SamplesTable getMonoDimTable(java.lang.String table,
                                        java.lang.String column)

  Specified by:
    `getMonoDimTable` in interface `GenericDBExtractor`

### getMultiDimTemporalTables

    public java.util.Map<java.lang.String,SamplesTable> getMultiDimTemporalTables(java.util.List<Filter> filters,
                                                                                  Filter YRangeFilter,
                                                                                  java.lang.String table,
                                                                                  java.lang.String xDimension,
                                                                                  java.lang.String groupDimension,
                                                                                  java.lang.String yValue,
                                                                                  java.lang.String speciesColumn,
                                                                                  java.lang.String... yFilters)

### getMultiDimTemporalTables

    public java.util.Map<java.lang.String,SamplesTable> getMultiDimTemporalTables(java.lang.String table,
                                                                                  java.lang.String xDimension,
                                                                                  java.lang.String groupDimension,
                                                                                  java.lang.String yValue,
                                                                                  java.lang.String speciesColumn,
                                                                                  java.lang.String... yFilters)

  Specified by:
    `getMultiDimTemporalTables` in interface `GenericDBExtractor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD